## javax.faces.el
Class ReferenceSyntaxException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  javax.faces.FacesException
                      javax.faces.el.EvaluationException
                          javax.faces.el.ReferenceSyntaxException

All Implemented Interfaces:
  java.io.Serializable

public class ReferenceSyntaxException
extends EvaluationException

Version:
  $Revision: 225333 $ $Date: 2005-07-26 11:49:19 -0400 (Tue, 26 Jul 2005) $
Author:
  Thomas Spiegl (latest modification by $Author: bdudney $)
See Also:
  Serialized Form

Constructor Summary
`ReferenceSyntaxException()`
`ReferenceSyntaxException(java.lang.String message)`
`ReferenceSyntaxException(java.lang.String message, java.lang.Throwable cause)`
`ReferenceSyntaxException(java.lang.Throwable cause)`

Methods inherited from class javax.faces.FacesException
`getCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ReferenceSyntaxException

    public ReferenceSyntaxException()

### ReferenceSyntaxException

    public ReferenceSyntaxException(java.lang.String message)

### ReferenceSyntaxException

    public ReferenceSyntaxException(java.lang.String message,
                                    java.lang.Throwable cause)

### ReferenceSyntaxException

    public ReferenceSyntaxException(java.lang.Throwable cause)